package it.mice.voila.runtime.taskexecutor;


import java.util.concurrent.RejectedExecutionHandler;
import java.util.concurrent.ThreadPoolExecutor;

import org.apache.log4j.Logger;


public class CustomRejectedExecutionHandler implements RejectedExecutionHandler {
	
	private static Logger log = Logger.getLogger(CustomRejectedExecutionHandler.class);
	
	public void rejectedExecution(Runnable runnable, ThreadPoolExecutor executor) {
		log.debug(runnable.toString() + " : has been rejected");
	}
}
